Bug 732024 - [RFE] Colors in jobs list for better orientation (patch included)
Summary: [RFE] Colors in jobs list for better orientation (patch included)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 14:08 UTC by Marian Ganisin
Modified: 2019-05-22 13:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-20 00:38:33 UTC


Attachments (Terms of Use)
patch (1.98 KB, patch)
2011-08-19 14:08 UTC, Marian Ganisin
no flags Details | Diff

Description Marian Ganisin 2011-08-19 14:08:52 UTC
Created attachment 519042 [details]
patch

Attached patch provides colors for results and statuses. Additionally it highlights row below cursor.

Attached patch wasn't tested, I haven't beaker instance for testing. I didn't
even study beaker internals carefully. Please review it with care, avoid
possible issues introduced be me. ;)

Comment 1 Raymond Mancy 2012-05-14 00:45:13 UTC
Apologies, these are being bumped to next maint release.

Comment 3 Raymond Mancy 2012-06-13 06:04:16 UTC
Most of what I say should be ignored.

On gerrit for review:
http://gerrit.beaker-project.org/#/c/1132/

Comment 6 Dan Callaghan 2012-07-17 04:15:28 UTC
Row hovering is currently applied to the main table on the system details page, where it is not needed and is quite distracting. It might be as simple as removing class="list" from that table.

Comment 7 Dan Callaghan 2012-07-18 04:41:42 UTC
I just noticed we get the hovering in the Details tab on the system page also. It probably makes sense for the Devices table (which will have many rows) but not really for the CPU or System tables, which have a small fixed number of rows.

Comment 8 Dan Callaghan 2012-07-20 00:38:33 UTC
Beaker 0.9.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.